<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://themeforest.net/user/kamleshyadav
 * @since             1.0.0
 * @package           Fc
 *
 * @wordpress-plugin
 * Plugin Name:       Fitness Calculator
 * Plugin URI:        https://kamleshyadav.com/plugin/healthpro/
 * Description:       This plugin is developed for fitness enthusiasts, that calculates calorie intake, water intake, and BMI and show results in graphical format. It comes with in built calculators, and shortcodes which you can use on any page of WordPress site.
 * Version:           1.0.7
 * Author:            Kamleshyadav
 * Author URI:        https://themeforest.net/user/kamleshyadav
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       fc
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'FC_VERSION', '1.0.7' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/fc-class-activator.php
 */
function fc_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/fc-class-activator.php';
	Fc_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/fc-class-deactivator.php
 */
function fc_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/fc-class-deactivator.php';
	Fc_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'fc_activate' );
register_deactivation_hook( __FILE__, 'fc_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/fc-class.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function fc_run() {

	$plugin = new Fc();
	$plugin->run();

}
fc_run();
