<?php

/**
 * Fired during plugin activation
 *
 * @link       https://themeforest.net/user/kamleshyadav
 * @since      1.0.0
 *
 * @package    Fc
 * @subpackage Fc/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Fc
 * @subpackage Fc/includes
 * @author     Kamleshyadav <support@pixelnx.com>
 */
class Fc_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		  if ( ! current_user_can( 'activate_plugins' ) ) return;
		  
		  global $wpdb;
		  
		  if ( null === $wpdb->get_row( "SELECT post_name FROM {$wpdb->prefix}posts WHERE post_name = 'social-share-slug'", 'ARRAY_A' ) ) {
			 
			$current_user = wp_get_current_user();
			
			// create post object
			$page = array(
			  'post_title'  => __( 'Social Share' ),
			  'post_content'  => __('[social_share]'),
			  'post_status' => 'publish',
			  'post_author' => $current_user->ID,
			  'post_type'   => 'page',
			);
			
			// insert the post into the database
			wp_insert_post( $page );
		  }
	}

}
