jQuery(document).ready(function($) {
    'use strict';
    $(function() {
		if($('#wakeChart').length){
			wakeChart();
		}
		if($('#sharewakeChart').length){			
			sharewakeChart();
		}
	    if($('#sharebmiChart').length){
            sharebmiChart();
	    }
	    if($('#bmiChart').length){
            bmiChart();
	    }
	    if($('#bmiChartcd').length){
           bmiChartcd();
	    }
    });
    /* Wake Chart */
	 function sharewakeChart() {
		var protien_require = $('#sharewakeChart').attr('protien-val');
		protien_require = Math.round( protien_require );
		var fat = $('#sharewakeChart').attr('bfp-val');
		var carb = $('#sharewakeChart').attr('bmr-val');
		var total = (+protien_require) + (+fat) + (+carb);
		var protienper = ( protien_require * 100 ) / total;
		var carbper = ( carb * 100 ) / total;
		var fatper = ( protien_require * 100 ) / total;
            var options = {
                chart: {
                    type: 'pie',
                    fontFamily: 'Outfit, sans-serif',
                    toolbar: {
                        show: false
                    },
                    zoom: {
                        enabled: false
                    },
					height: 400,
                },
                legend: {
                    show: false,
                },
                dataLabels: {
                    enabled: true,
                },
                labels: ['Fat', 'Carb', 'Protien'],
                series: [fatper, carbper, protienper],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            height: 300,
                        },
                    }
                }],
                colors: ['#d9b9fd', '#ff9ccd', '#9daeff']
            }
            var chart = new ApexCharts(
                document.querySelector("#sharewakeChart"),
                options
            );
            chart.render();
    }
	
    function wakeChart() {
            var options = {
                chart: {
                    type: 'pie',
                    fontFamily: 'Outfit, sans-serif',
                    toolbar: {
                        show: false
                    },
                    zoom: {
                        enabled: false
                    },
					height: 400,
                },
                legend: {
                    show: false,
                },
                dataLabels: {
                    enabled: true,
                },
                labels: ['Fat', 'Carb', 'Protien'],
                series: [44, 55, 13],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            height: 300,
                        },
                    }
                }],
                colors: ['#d9b9fd', '#ff9ccd', '#9daeff']
            }
            var chart = new ApexCharts(
                document.querySelector("#wakeChart"),
                options
            );
            chart.render();
    }

    /* BMI Chart */
    function bmiChart() {
        var options = {
            labels: ['Underweight','Normal','Overweight','Obesity'],
            series: [18, 25, 35, 22],
            chart: {
                type: 'donut',
                fontFamily: 'Outfit, sans-serif',
                height: 400,
            },
            plotOptions: {
                pie: {
                    startAngle: -90,
                    endAngle: 90,
                    offsetY: 10
                }
            },
            grid: {
                padding: {
                    bottom: -80
                }
            },
            legend: {
                show: false,
            },
            responsive: [{
                breakpoint: 480,
                options: {
                    chart: {
                        height: 300,
                    },
                }
            }],
            colors: ['#ff1100', '#8dbf42', '#ffa000', '#ff1100']
        };
        var chart = new ApexCharts(
            document.querySelector("#bmiChart"),
            options
        );
        chart.render();
    }
	
	/* Social Share BMI Chart */
    function sharebmiChart() {
        var options = {
            labels: ['Underweight','Normal','Overweight','Obesity'],
            series: [18, 25, 35, 22],
            chart: {
                type: 'donut',
                fontFamily: 'Outfit, sans-serif',
                height: 400,
            },
            plotOptions: {
                pie: {
                    startAngle: -90,
                    endAngle: 90,
                    offsetY: 10
                }
            },
            grid: {
                padding: {
                    bottom: -80
                }
            },
            legend: {
                show: false,
            },
            responsive: [{
                breakpoint: 480,
                options: {
                    chart: {
                        height: 300,
                    },
                }
            }],
            colors: ['#ff1100', '#8dbf42', '#ffa000', '#ff1100']
        };
        var chart = new ApexCharts(
            document.querySelector("#sharebmiChart"),
            options
        );
        chart.render();
		
		var bmi = $("#sharebmiChart").attr("bmi-data");
		bmi = Math.round(bmi);
		if( bmi >= 0 && bmi <= 18 ){
			var transform = 90-bmi;
			var color = 'rotate(-'+transform+'deg)';
			$('.fc-pendulum').css('transform', color);
		}
		if( bmi >= 19 && bmi <= 25 ){
			if(bmi >= 19){
			$('.fc-pendulum').css('transform', 'rotate(-50deg)');
			}
			if(bmi >= 20){
			$('.fc-pendulum').css('transform', 'rotate(-40deg)');
			}
			if(bmi >= 21){
			$('.fc-pendulum').css('transform', 'rotate(-35deg)');
			}
			if(bmi >= 22){
			$('.fc-pendulum').css('transform', 'rotate(-30deg)');
			}
			if(bmi >= 23){
			$('.fc-pendulum').css('transform', 'rotate(-25deg)');
			}
			if(bmi >= 24){
			$('.fc-pendulum').css('transform', 'rotate(-20deg)');
			}
			if(bmi >= 25){
			$('.fc-pendulum').css('transform', 'rotate(-10deg)');
			}
		}
		if( bmi >= 26 && bmi <= 35 ){
			if(bmi == 26){
			$('.fc-pendulum').css('transform', 'rotate(-10deg)');
			}
			if(bmi == 27){
			$('.fc-pendulum').css('transform', 'rotate(0deg)');
			}
			if(bmi == 28){
			$('.fc-pendulum').css('transform', 'rotate(10deg)');
			}
			if(bmi == 29){
			$('.fc-pendulum').css('transform', 'rotate(15deg)');
			}
			if(bmi == 30){
			$('.fc-pendulum').css('transform', 'rotate(20deg)');
			}
			if(bmi == 31){
			$('.fc-pendulum').css('transform', 'rotate(25deg)');
			}
			if(bmi == 32){
			$('.fc-pendulum').css('transform', 'rotate(30deg)');
			}
			if(bmi == 33){
			$('.fc-pendulum').css('transform', 'rotate(35deg)');
			}
			if(bmi == 34){
			$('.fc-pendulum').css('transform', 'rotate(40deg)');
			}
			if(bmi == 35){
			$('.fc-pendulum').css('transform', 'rotate(50deg)');
			}
		}
		if( bmi >= 36 ){
			var transform = 15+bmi;
			var color = 'rotate('+transform+'deg)';
			$('.fc-pendulum').css('transform', color);
		}
		
    }
    function bmiChartcd() {
        var options = {
            labels: ['Underweight','Normal','Overweight','Obesity'],
            series: [5, 65, 10, 10],
            chart: {
                type: 'donut',
                fontFamily: 'Outfit, sans-serif',
                height: 400,
            },
            plotOptions: {
                pie: {
                    startAngle: -90,
                    endAngle: 90,
                    offsetY: 10
                }
            },
            grid: {
                padding: {
                    bottom: -80
                }
            },
            legend: {
                show: false,
            },
            responsive: [{
                breakpoint: 480,
                options: {
                    chart: {
                        height: 300,
                    },
                }
            }],
            colors: ['#ff1100', '#8dbf42', '#ffa000', '#ff1100']
        };
        var chart = new ApexCharts(
            document.querySelector("#bmiChartcd"),
            options
        );
        chart.render();
    }
});