<?php
/**
 * Provide a Blood Type Calculator view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://themeforest.net/user/kamleshyadav
 * @since      1.0.0
 *
 * @package    Fc
 * @subpackage Fc/public/partials
 */

$result .='<div class="fc-calculator-wrapper fc-bmi-wrapper">
    <div class="fc-container">
        <div class="fc-from-wrapper">
            <div class="fc-calculator-section'.esc_attr($colsecenable).' oneRowBloodType">
                <div class="fc-calculation-form">
                    <div class="fc-calculation-form-inner">';
                        if( !empty( $heading ) ){ 
                        $result .='<div class="fc-title">
                            <h1 id="title">'. esc_html( $heading ).'</h1>
                        </div>';
                        }
                        $result .='<form action="#" id="fc-bloodtype-form">
                            <div class="fc-col fc-col-2">
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Mother blood type","fc") .'</label>
                                    <select name="dropdown" id="fc_bt_mother" class="form-input" required>
                                        <option value="o">'. esc_html__("O","fc") .'</option>
                                        <option value="a">'. esc_html__("A","fc") .'</option>
                                        <option value="b">'. esc_html__("B","fc") .'</option>
                                        <option value="ab">'. esc_html__("AB","fc") .'</option>
                                    </select>
                                </div>
                                <div class="fc-input-wrapper fc-input-wrapper-new">
                                    <select name="dropdown" id="fc_bt_motherh" class="form-input" required>
                                        <option value="rh+">'. esc_html__("Rh+","fc") .'</option>
                                        <option value="rh-">'. esc_html__("Rh-","fc") .'</option>
                                    </select>
                                </div>
                            </div>
                            <div class="fc-col fc-col-2">
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Father blood type","fc") .'</label>
                                    <select name="dropdown" id="fc_bt_father" class="form-input" required>
                                        <option value="o">'. esc_html__("O","fc") .'</option>
                                        <option value="a">'. esc_html__("A","fc") .'</option>
                                        <option value="b">'. esc_html__("B","fc") .'</option>
                                        <option value="ab">'. esc_html__("AB","fc") .'</option>
                                    </select>
                                </div>
                                <div class="fc-input-wrapper fc-input-wrapper-new">
                                    <select name="dropdown" id="fc_bt_fatherh" class="form-input" required>
                                        <option value="rh+">'. esc_html__("Rh+","fc") .'</option>
                                        <option value="rh-">'. esc_html__("Rh-","fc") .'</option>
                                    </select>
                                </div>
                            </div>
                            <div class="fc-btn-wrap">
                                <button type="submit" id="fc-bloodtype-form-submit" class="fc-btn">
                                    '. esc_html__("Calculate","fc") .'
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="fc-bt-result fc-bt-result-new">
                    <div class="print-wrapper">
                        <a href="javascript:;" id="fc-print-bt"><img src="'.plugin_dir_url( __DIR__  ).'images/print.png"></a>
                    </div>
                    <div class="print-wrapper social-share">
                        <div class="social-share-btn">
                            <svg version="1.1" x="0" y="0" viewBox="0 0 512 512" xml:space="preserve"><g><path d="M406 332c-29.641 0-55.761 14.581-72.167 36.755L191.99 296.124c2.355-8.027 4.01-16.346 4.01-25.124 0-11.906-2.441-23.225-6.658-33.636l148.445-89.328C354.307 167.424 378.589 180 406 180c49.629 0 90-40.371 90-90S455.629 0 406 0s-90 40.371-90 90c0 11.437 2.355 22.286 6.262 32.358l-148.887 89.59C156.869 193.136 132.937 181 106 181c-49.629 0-90 40.371-90 90s40.371 90 90 90c30.13 0 56.691-15.009 73.035-37.806l141.376 72.395C317.807 403.995 316 412.75 316 422c0 49.629 40.371 90 90 90s90-40.371 90-90-40.371-90-90-90z" fill="currentColor" opacity="1" data-original="#000000"/></g></svg>
                        </div>
                        <ul>
                            <li>
                                <a href="javascript:;" id="fc-metashare" class="fc-socialshare" data-type="meta" data-result="bldtype" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/meta.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-lnkshare" class="fc-socialshare" data-type="linkedin" data-result="bldtype" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/linkedin.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-twitter" class="fc-socialshare" data-type="twitter" data-result="bldtype" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/twitter.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-whatsapp" class="fc-socialshare" data-type="whatsapp" data-result="bldtype" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/whatsapp.png"></a>
                            </li>
                        </ul>					
                    </div>
                    <div class="fc-bt-inner">
                    <div class="fc-bt-inner-flex">
                        <div class="fc-bt-inner-left">
                            <div class="fc-bt-inner-left1">
                              <label>'.esc_html('Chance for type A : ','fc').'</label>
                                <div class="result-div-a"></div>
                            </div>
                            <div class="fc-bt-inner-left1">
                             <label>'.esc_html('Chance for type B : ','fc').'</label>
                             <div class="result-div-b"></div>
                            </div>
                              <div class="fc-bt-inner-left1">
                              <label>'.esc_html('Chance for type AB : ','fc').'</label>
                            <div class="result-div-ab"></div>
                              </div>
                        </div>
                        <div class="fc-bt-inner-left">
                         <div class="fc-bt-inner-left1">
                            <label>'.esc_html('Chance for type O : ','fc').'</label>
                            <div class="result-div-o"></div>
                         </div>
                           <div class="fc-bt-inner-left1"> 
                             <label>'.esc_html('Chance for type Rh+ : ','fc').'</label>
                            <div class="result-div-p"></div>
                           </div>
                             <div class="fc-bt-inner-left1">  
                               <label>'.esc_html('Chance for type Rh- : ','fc').'</label>
                            <div class="result-div-m"></div>
                             </div>
                        
                        </div>
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>';